+#======================================================================
+# Install on vda1 as ext4
+SKIP[busybox-udeb]=true # stay with busybox-static
+SKIP[rootskel]=true # not to install
+SKIP[mounted-partitions]=true # Provided by partman-base (not to install)
+SKIP[created-fstab]=true # Provided by partman-base (not to install)
+
+for M in $(sed 's/#.*//') ; do unpack $M $INITRD || exit 1 ; done <<EOF
+e2fsprogs-udeb bootstrap-base devuan-keyring-udeb
+EOF
+
+sed '/fsys-tarfile/s|dpkg-deb|dpkg-debfix|' \
+ -i $INITRD/usr/share/debootstrap/functions
+herescript $INITRD/bin/dpkg-debfix <<EOF
+#/bin/sh
+if ar t "\$2" | grep -q data.tar.xz ; then
+ ar p "\$2" data.tar.xz | unxz
+elif ar t "\$2" | grep -q data.tar.gz ; then
+ ar p "\$2" data.tar.gz | gunzip
+else
+ ar t "\$2" >&2
+ echo "unknown format: \$*" >&2
+ exit 1
+fi
+EOF
+
+herescript $INITRD/install <<EOF
+#!/bin/sh
+set -x
+modprobe -a ext4 crc32c
+mkfs.ext4 -F -m0 /dev/vda1
+mkdir -p /target
+mount -t ext4 /dev/vda1 /target
+
+ifconfig lo up
+ifconfig eth0 10.10.10.64 netmask 255.255.255.0 up
+ip route add default via 10.10.10.100 dev eth0
+
+export http_proxy=$http_proxy
+debootstrap --foreign --arch=$ARCH $CODENAME /target $REPO_URL
+chroot /target debootstrap/debootstrap --second-stage
+EOF
+
+#======================================================================